createFabricCluster

Prev Next

Available in VPC

Create a Fabric cluster.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vserver/v2/createFabricCluster
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Server APIs, see Server request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
fabricClusterName String Required Fabric cluster name
  • Enter 3 to 30 characters using a combination of lowercase English letters, numbers, and the special character "-".
  • The string must start with a lowercase English letter and end with a lowercase English letter or a number.
fabricClusterDescription String Optional Fabric cluster description (byte)
  • 0-1000
zoneCode String Required Zone code
vpcNo String Required VPC number
fabricClusterPoolNo String Required Fabric cluster pool number
responseFormatType String Optional Format of the response data
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/createFabricCluster
?regionCode=KR
&fabricClusterName=test-***
&fabricClusterDescription=test
&zoneCode=KR-1
&vpcNo=***84
&fabricClusterPoolNo=***01
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
createFabricClusterResponse Object - Response result
createFabricClusterResponse.requestId String - ID for the request
  • UUID format
createFabricClusterResponse.returnCode String - Response code
createFabricClusterResponse.returnMessage String - Response message

Response status codes

For information about the HTTP status codes common to all Server APIs, see Server response status codes.

Response example

The response example is as follows:

{
  "createFabricClusterResponse": {
    "totalRows": 1,
    "fabricClusterList": [
      {
        "fabricClusterNo": "13**",
        "fabricClusterName": "test-***",
        "fabricClusterStatus": {
          "code": "CREAT",
          "codeName": "Creating"
        },
        "fabricClusterDescription": "test",
        "regionCode": "KR",
        "zoneCode": "KR-1",
        "vpcNo": "***84",
        "fabricClusterPoolNo": "***01",
        "fabricClusterPoolName": "test-***",
        "fabricClusterPoolCode": "test-***",
        "createDate": "2025-12-12T13:36:17+0900",
        "fabricClusterServerInstanceList": []
      }
    ],
    "requestId": "0e14ac63-aacb-4cde-8d75-39822da26e8c",
    "returnCode": "0",
    "returnMessage": "success"
  }
}